Skip to main content
GET
/
wallet
Retrieve a wallet
curl --request GET \
  --url https://api.nuwebgroup.com/v1/wallet \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "type": "wallets",
    "id": 1,
    "attributes": {
      "id": 1,
      "companyId": 1,
      "customerId": 9,
      "currencyId": 32,
      "currencyName": "Pounds",
      "currencyCode": "GBP",
      "currencySymbol": "Β£",
      "availableBalance": 1500,
      "refundableBalanceOnline": 1000,
      "refundableBalanceOffline": 1500,
      "pendingBalance": 200,
      "pendingPayouts": -500
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.nuwebgroup.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The 'Bearer' token can be obtained from the token management interface or via the login endpoint using your admin user credentials.

Headers

X-NU-COMPANY-ID
integer

The ID of the company this operation should be performed against.

Accept-Language
string

Sets the preferred language for localised response content (e.g. en, fr, de). If the requested language is not supported by the company, the company fallback language will be assumed.

Query Parameters

walletId
integer
required

The wallet ID.

include
string

Comma-separated list of relationships to include. Supported: customers

Response

Successful request to fetch wallet.

data
object